/**
 *  Copyright (c) 2014 Keang. All Rights Reserved.
 *
 * The ICallerIDListener class is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The ICallerIDListener class is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with the ICallerIDListener class.  If not, see <http://www.gnu.org/licenses/>.
 */

package uk.co.keang.callerid.driver;


/**
 * Listens for Caller ID events
 *
 * @author Keang
 * @version 1.0 - 15 Jan 2014
 */
public interface ICallerIDListener
{
/**
 * Notification of an incoming call
 *
 * @param event the incoming call event
 */
public void incomingCall(CallerIDEvent event) ;

/**
 * Notification of an exception.
 * Before this is called the connection to the hardware will have been closed.
 *
 * @param e the exception thrown
 */
public void callerIDException(Exception e) ;

}
